Subject: Re: linux-next: Tree for Mar 14 (mips qemu failure bisected)

From: Guenter Roeck <[email-masked]>
Date: Wed, 16 Mar 2016 06:22:10 -0700

On Tue, Mar 15, 2016 at 05:17:13PM -0700, Guenter Roeck wrote:
> On Tue, Mar 15, 2016 at 09:55:06PM +0000, Qais Yousef wrote:
> > Hi Guenter,
> > 
[ ... ]
> > >
> > >>Qemu test results:
> > >>	total: 96 pass: 69 fail: 27
> > >>Failed tests:
> > >[ ... ]
> > >>	mips:mips_malta_smp_defconfig
> > >I bisected this failure to commit bb11cff327e54 ("MIPS: Make smp CMP, CPS and MT
> > >use the new generic IPI functions". Bisect log is attached.
> > 
> > Thanks for bisecting this. I tested this on a real Malta system but not
> > qemu. I'll try to reproduce.
> > 
> I run the tests with only a single CPU core enabled. Maybe that causes
> problems with your code ?
> 
I ran another qemu test (this time on mainline) with "-smp 2", but the only
difference is that the image now gets stuck even earlier.

Also, I ran another set of bisects, this time with both mips and mips64
on mainline (after your patch landed), with the same results.

Guenter

> > Can I get qemu run script and the instructions to use it from somewhere?
> > 
> Clone https://github.com/groeck/linux-build-test.git.
> Look in rootfs/*mips* for qemu scripts and root file systems.
> The SMP tests all fail, so it should not matter which one you pick.
> I use my own version of qemu, but for mips standard qemu 2.5.0 should
> work fine (I don't have any mips specific changes in my version).
> 
> Hope this helps,
> Guenter
> 
> > Thanks,
> > Qais
> > 
> > >
> > >>	mips64:smp:mips_malta64_defconfig
> > >>	mips:mipsel_malta_smp_defconfig
> > >>	mips:mipsel_malta64_smp_defconfig
> > >If necessary I can repeat the bisect for those. Please let me know.
> > >
> > >Thanks,
> > >Guenter
> > >
> > >---
> > >Bisect log:
> > >
> > ># bad: [4342eec3c5a2402ca5de3d6e56f541fe1c5171e2] Add linux-next specific files for 20160314
> > ># good: [f6cede5b49e822ebc41a099fe41ab4989f64e2cb] Linux 4.5-rc7
> > >git bisect start 'HEAD' 'v4.5-rc7'
> > ># good: [0525c3e26ec2c43cd509433be3be25210a0154ef] Merge remote-tracking branch 'drm-tegra/drm/tegra/for-next'
> > >git bisect good 0525c3e26ec2c43cd509433be3be25210a0154ef
> > ># bad: [385128a1b49762c1b9515c9f6294aeebbc55b956] Merge remote-tracking branch 'usb-chipidea-next/ci-for-usb-next'
> > >git bisect bad 385128a1b49762c1b9515c9f6294aeebbc55b956
> > ># good: [dfdb27baab4fc45c9399a991270413d0fb1c694a] Merge remote-tracking branch 'spi/for-next'
> > >git bisect good dfdb27baab4fc45c9399a991270413d0fb1c694a
> > ># bad: [e368d7d2a0dce6d6795ead1fc8a09bcca8a4a565] Merge branch 'timers/nohz'
> > >git bisect bad e368d7d2a0dce6d6795ead1fc8a09bcca8a4a565
> > ># good: [ced30bc9129777d715057d06fc8dbdfd3b81e94d] Merge tag 'perf-core-for-mingo-20160310' of git://git.kernel.org/pub/scm/linux/kernel/git/acme/linux into perf/core
> > >git bisect good ced30bc9129777d715057d06fc8dbdfd3b81e94d
> > ># bad: [656a61d4d9cbb8dfc2d007281190b2eccebad522] manual merge of mm/pkeys
> > >git bisect bad 656a61d4d9cbb8dfc2d007281190b2eccebad522
> > ># good: [16f7379f2da43f29d9faa2f474745e2705a3f510] Merge branch 'efi/core'
> > >git bisect good 16f7379f2da43f29d9faa2f474745e2705a3f510
> > ># bad: [a7fb9a8169be9a55e0cfb98346aece1b51c016fa] Merge branch 'locking/core'
> > >git bisect bad a7fb9a8169be9a55e0cfb98346aece1b51c016fa
> > ># good: [2a07870511829977d02609dac6450017b0419ea9] irqchip/mips-gic: Use gic_vpes instead of NR_CPUS
> > >git bisect good 2a07870511829977d02609dac6450017b0419ea9
> > ># good: [eaff0e7003cca6c2748b67ead2d4b1a8ad858fc7] locking/pvqspinlock: Move lock stealing count tracking code into pv_queued_spin_steal_lock()
> > >git bisect good eaff0e7003cca6c2748b67ead2d4b1a8ad858fc7
> > ># good: [013e379a3094ff2898f8d33cfbff1573d471ee14] tools/lib/lockdep: Fix link creation warning
> > >git bisect good 013e379a3094ff2898f8d33cfbff1573d471ee14
> > ># bad: [7eb8c99db26cc6499bfb1eba72dffc4730570752] MIPS: Delete smp-gic.c
> > >git bisect bad 7eb8c99db26cc6499bfb1eba72dffc4730570752
> > ># good: [fbde2d7d8290d8c642d591a471356abda2446874] MIPS: Add generic SMP IPI support
> > >git bisect good fbde2d7d8290d8c642d591a471356abda2446874
> > ># bad: [bb11cff327e54179c13446c4022ed4ed7d4871c7] MIPS: Make smp CMP, CPS and MT use the new generic IPI functions
> > >git bisect bad bb11cff327e54179c13446c4022ed4ed7d4871c7
> > ># first bad commit: [bb11cff327e54179c13446c4022ed4ed7d4871c7] MIPS: Make smp CMP, CPS and MT use the new generic IPI functions
> >